commandwindow
clear
clc

%First Elimination
A=[1,1,-2,1,3,-1; 2,-1,1,2,1,-3; 1,3,-3,-1,2,1; 5,2,-1,-1,2,1; -3,-1,2,3,1,3; 4,3,1,-6,-3,-2]
%X=[T1;T2;T3;T4;T5;T6]
B=[4; 20; -15; -3; 16; -27]
P1=A(2,1)/A(1,1)
P2=A(3,1)/A(1,1)
P3=A(4,1)/A(1,1)
P4=A(5,1)/A(1,1)
P5=A(6,1)/A(1,1)
Phil1=[A(1,1) A(1,2) A(1,3) A(1,4) A(1,5) A(1,6);
       A(2,1)-(P1*A(1,1)) A(2,2)-(P1*A(1,2)) A(2,3)-(P1*A(1,3)) A(2,4)-(P1*A(1,4)) A(2,5)-(P1*A(1,5)) A(2,6)-(P1*A(1,6));
       A(3,1)-(P2*A(1,1)) A(3,2)-(P2*A(1,2)) A(3,3)-(P2*A(1,3)) A(3,4)-(P2*A(1,4)) A(3,5)-(P2*A(1,5)) A(3,6)-(P2*A(1,6));
       A(4,1)-(P3*A(1,1)) A(4,2)-(P3*A(1,2)) A(4,3)-(P3*A(1,3)) A(4,4)-(P3*A(1,4)) A(4,5)-(P3*A(1,5)) A(4,6)-(P3*A(1,6));
       A(5,1)-(P4*A(1,1)) A(5,2)-(P4*A(1,2)) A(5,3)-(P4*A(1,3)) A(5,4)-(P4*A(1,4)) A(5,5)-(P4*A(1,5)) A(5,6)-(P4*A(1,6));
       A(6,1)-(P5*A(1,1)) A(6,2)-(P5*A(1,2)) A(6,3)-(P5*A(1,3)) A(6,4)-(P5*A(1,4)) A(6,5)-(P5*A(1,5)) A(6,6)-(P5*A(1,6))]
B1=[B(1,1);
    B(2,1)-(P1*B(1,1));
    B(3,1)-(P2*B(1,1));
    B(4,1)-(P3*B(1,1));
    B(5,1)-(P4*B(1,1));
    B(6,1)-(P5*B(1,1))]

%Second Elimination
H1=Phil1(3,2)/Phil1(2,2)
H2=Phil1(4,2)/Phil1(2,2)
H3=Phil1(5,2)/Phil1(2,2)
H4=Phil1(6,2)/Phil1(2,2)
Phil2=[Phil1(1,1) Phil1(1,2) Phil1(1,3) Phil1(1,4) Phil1(1,5) Phil1(1,6);
       Phil1(2,1) Phil1(2,2) Phil1(2,3) Phil1(2,4) Phil1(2,5) Phil1(2,6);
       Phil1(3,1) Phil1(3,2)-(H1*Phil1(2,2)) Phil1(3,3)-(H1*Phil1(2,3)) Phil1(3,4)-(H1*Phil1(2,4)) Phil1(3,5)-(H1*Phil1(2,5)) Phil1(3,6)-(H1*Phil1(2,6));
       Phil1(4,1) Phil1(4,2)-(H2*Phil1(2,2)) Phil1(4,3)-(H2*Phil1(2,3)) Phil1(4,4)-(H2*Phil1(2,4)) Phil1(4,5)-(H2*Phil1(2,5)) Phil1(4,6)-(H2*Phil1(2,6));
       Phil1(5,1) Phil1(5,2)-(H3*Phil1(2,2)) Phil1(5,3)-(H3*Phil1(2,3)) Phil1(5,4)-(H3*Phil1(2,4)) Phil1(5,5)-(H3*Phil1(2,5)) Phil1(5,6)-(H3*Phil1(2,6));
       Phil1(6,1) Phil1(6,2)-(H4*Phil1(2,2)) Phil1(6,3)-(H4*Phil1(2,3)) Phil1(6,4)-(H4*Phil1(2,4)) Phil1(6,5)-(H4*Phil1(2,5)) Phil1(6,6)-(H4*Phil1(2,6))]
B2=[B1(1,1);
    B1(2,1);
    B1(3,1)-(H1*B1(2,1));
    B1(4,1)-(H2*B1(2,1));
    B1(5,1)-(H3*B1(2,1));
    B1(6,1)-(H4*B1(2,1))]

%Third Elimination
I1=Phil2(4,3)/Phil2(3,3)
I2=Phil2(5,3)/Phil2(3,3)
I3=Phil2(6,3)/Phil2(3,3)
Phil3=[Phil2(1,1) Phil2(1,2) Phil2(1,3) Phil2(1,4) Phil2(1,5) Phil2(1,6);
       Phil2(2,1) Phil2(2,2) Phil2(2,3) Phil2(2,4) Phil2(2,5) Phil2(2,6);
       Phil2(3,1) Phil2(3,2) Phil2(3,3) Phil2(3,4) Phil2(3,5) Phil2(3,6);
       Phil2(4,1) Phil2(4,2) Phil2(4,3)-(I1*Phil2(3,3)) Phil2(4,4)-(I1*Phil2(3,4)) Phil2(4,5)-(I1*Phil2(3,5)) Phil2(4,6)-(I1*Phil2(3,6));
       Phil2(5,1) Phil2(5,2) Phil2(5,3)-(I2*Phil2(3,3)) Phil2(5,4)-(I2*Phil2(3,4)) Phil2(5,5)-(I2*Phil2(3,5)) Phil2(5,6)-(I2*Phil2(3,6));
       Phil2(6,1) Phil2(6,2) Phil2(6,3)-(I3*Phil2(3,3)) Phil2(6,4)-(I3*Phil2(3,4)) Phil2(6,5)-(I3*Phil2(3,5)) Phil2(6,6)-(I3*Phil2(3,6))]
B3=[B2(1,1);
    B2(2,1);
    B2(3,1);
    B2(4,1)-(I1*B2(3,1));
    B2(5,1)-(I2*B2(3,1));
    B2(6,1)-(I3*B2(3,1))]

%Forth Elimination
L1=Phil3(5,4)/Phil3(4,4)
L2=Phil3(6,4)/Phil3(4,4)
Phil4=[Phil3(1,1) Phil3(1,2) Phil3(1,3) Phil3(1,4) Phil3(1,5) Phil3(1,6);
       Phil3(2,1) Phil3(2,2) Phil3(2,3) Phil3(2,4) Phil3(2,5) Phil3(2,6);
       Phil3(3,1) Phil3(3,2) Phil3(3,3) Phil3(3,4) Phil3(3,5) Phil3(3,6);
       Phil3(4,1) Phil3(4,2) Phil3(4,3) Phil3(4,4) Phil3(4,5) Phil3(4,6);
       Phil3(5,1) Phil3(5,2) Phil3(5,3) Phil3(5,4)-(L1*Phil3(4,4)) Phil3(5,5)-(L1*Phil3(4,5)) Phil3(5,6)-(L1*Phil3(4,6));
       Phil3(6,1) Phil3(6,2) Phil3(6,3) Phil3(6,4)-(L2*Phil3(4,4)) Phil3(6,5)-(L2*Phil3(4,5)) Phil3(6,6)-(L2*Phil3(4,6))]
B4=[B3(1,1);
    B3(2,1);
    B3(3,1);
    B3(4,1);
    B3(5,1)-(L1*B3(4,1));
    B3(6,1)-(L2*B3(4,1))]

%Fifth Elimination
O1=Phil4(6,5)/Phil4(5,5)
Phil5=[Phil4(1,1) Phil4(1,2) Phil4(1,3) Phil4(1,4) Phil4(1,5) Phil4(1,6);
       Phil4(2,1) Phil4(2,2) Phil4(2,3) Phil4(2,4) Phil4(2,5) Phil4(2,6);
       Phil4(3,1) Phil4(3,2) Phil4(3,3) Phil4(3,4) Phil4(3,5) Phil4(3,6);
       Phil4(4,1) Phil4(4,2) Phil4(4,3) Phil4(4,4) Phil4(4,5) Phil4(4,6);
       Phil4(5,1) Phil4(5,2) Phil4(5,3) Phil4(5,4) Phil4(5,5) Phil4(5,6);
       Phil4(6,1) Phil4(6,2) Phil4(6,3) Phil4(6,4) Phil4(6,5)-(O1*Phil4(5,5)) Phil4(6,6)-(O1*Phil4(5,6))]
B5=[B4(1,1);
    B4(2,1);
    B4(3,1);
    B4(4,1);
    B4(5,1);
    B4(6,1)-(O1*B4(5,1))]

%Substitution
T6 =  B5(6,1)/Phil5(6,6)
T5 = (B5(5,1)-(Phil5(5,6)*T6))/Phil5(5,5)
T4 = (B5(4,1)-(Phil5(4,6)*T6)-(Phil5(4,5)*T5))/Phil5(4,4)
T3 = (B5(3,1)-(Phil5(3,6)*T6)-(Phil5(3,5)*T5)-(Phil5(3,4)*T4))/Phil5(3,3)
T2 = (B5(2,1)-(Phil5(2,6)*T6)-(Phil5(2,5)*T5)-(Phil5(2,4)*T4)-(Phil5(2,3)*T3))/Phil5(2,2)
T1 = (B5(1,1)-(Phil5(1,6)*T6)-(Phil5(1,5)*T5)-(Phil5(1,4)*T4)-(Phil5(1,3)*T3)-(Phil5(1,2)*T2))/Phil5(1,1)